# Bedarf aktualisieren

`PUT https://{tenant}.stamp.eu/rest/shift_requirements/{shiftRequirement}`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `shiftRequirement` | string | ja | The shift requirement ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `shift_id` | string | ja |
| `weekday` | integer | ja |
| `min_count` | integer | ja |
| `optimal_count` | integer \| null | nein |
| `skill_requirements` | object[] \| null | nein |

## Antworten

### 200: `ShiftRequirementResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.unit_id` | string | ja |
| `data.shift_id` | string | ja |
| `data.shift` | object | nein |
| `data.shift.id` | string | ja |
| `data.shift.name` | string | ja |
| `data.shift.abbreviation` | string | ja |
| `data.shift.color` | string | ja |
| `data.shift.start_time` | string | ja |
| `data.shift.end_time` | string | ja |
| `data.shift.break_duration` | string | ja |
| `data.shift.is_overnight` | string | ja |
| `data.shift.schedule_model_id` | string | ja |
| `data.shift.work_area_id` | string | ja |
| `data.shift.tags` | string \| string[] | ja |
| `data.shift.note` | string | ja |
| `data.shift.fairness_weight` | integer | ja |
| `data.shift.net_duration_ms` | integer | ja |
| `data.weekday` | string | ja |
| `data.min_count` | string | ja |
| `data.optimal_count` | string | ja |
| `data.skills` | string | nein |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 403: Authorization error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
